# Uses of Class
org.astrogrid.samp.xmlrpc.HubMode

Packages that use HubMode
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of HubMode in org.astrogrid.samp.xmlrpc

Fields in org.astrogrid.samp.xmlrpc declared as HubMode
Modifier and Type
Field
Description
`static final HubMode`
HubMode.`CLIENT_GUI`
Deprecated.
Hub mode with a GUI representation of connected clients.
`static HubMode`
HubMode.`MESSAGE_GUI`
Deprecated.
Hub mode with a GUI representation of clients and messages.
`static final HubMode`
HubMode.`NO_GUI`
Deprecated.
Hub mode with no GUI representation of hub operations.
Methods in org.astrogrid.samp.xmlrpc that return HubMode
Modifier and Type
Method
Description
`static HubMode[]`
HubMode.`getAvailableModes()`
Deprecated.
Returns an array of the hub modes which can actually be used.
`static HubMode`
HubMode.`getModeFromName(String name)`
Deprecated.
Returns one of the known modes which has a name as given.
Methods in org.astrogrid.samp.xmlrpc with parameters of type HubMode
Modifier and Type
Method
Description
`static void`
HubRunner.`runExternalHub(HubMode hubMode)`
Deprecated.
Static method which will attempt to start a hub running in an external JVM.
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically.
`static HubRunner`
HubRunner.`runHub(HubMode hubMode, XmlRpcKit xmlrpc, String secret, File lockfile)`
Deprecated.
Static method which may be used to start a SAMP hub programmatically, with a supplied samp.secret string.